{ jovian, ... }: {
  imports = [
    jovian.nixosModules.jovian
  ];

  jovian = {
    hardware.has.amd.gpu = true;
    steamos.useSteamOSConfig = true;
    steamos.enableDefaultCmdlineConfig = false;

    steam = {
      enable = true;
      autoStart = true;
      desktopSession = "plasma";
      user = "app";
    };
  };

  users.home.persistApp.directories = [
    ".steam" ".local/share/Steam" ".config/gamescope"
  ];

  users.users.app.extraGroups = [ "networkmanager" ];
  programs.regreet.enable = false;
  home.plasma.enable = true;
  home.plasma.extraConfig = {
    configFile = {
      kwinrc.Xwayland.Scale = 1.75;
      kscreenlockerrc.Daemon.Autolock = false;
    };
  };
} // {
  #users.users.decky.uid = 514;
  #users.groups.decky.gid = 514;
  #jovian.decky-loader = {
  #  enable = true;
  #  stateDir = "/nix/persist/decky";
  #};
}
